Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.oti.shared
Class SharedClassPermissionCollection

    java.lang.Object
      java.security.PermissionCollection
          com.ibm.oti.shared.SharedClassPermissionCollection

All Implemented Interfaces:
  java.io.Serializable

    public class SharedClassPermissionCollection

extends java.security.PermissionCollection

Security permission collection to support SharedClassPermission

Version:
  initial
Author:
  OTI
See Also:
  `SharedClassPermission`, Serialized Form

Constructor Summary
`SharedClassPermissionCollection()`

Method Summary
`void` | `add(java.security.Permission perm)` Add a permission to this collection
`java.util.Enumeration` | `elements()` Return permissions as an enumeration
`boolean` | `implies(java.security.Permission perm)` Returns true if the permission given is implied by any of the permissions in the collection

Methods inherited from class java.security.PermissionCollection
`isReadOnly, setReadOnly, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SharedClassPermissionCollection

    public SharedClassPermissionCollection()

Method Detail

### add

    public void add(java.security.Permission perm)

  Add a permission to this collection

  Specified by:
    `add` in class `java.security.PermissionCollection`
  Parameters:
    `perm` - java.security.Permission the Permission object to add

### elements

    public java.util.Enumeration elements()

  Return permissions as an enumeration

  Specified by:
    `elements` in class `java.security.PermissionCollection`
  Returns:
    java.util.Enumeration the Permissions as an enumeration

### implies

    public boolean implies(java.security.Permission perm)

  Returns true if the permission given is implied by any of the permissions in the collection

  Specified by:
    `implies` in class `java.security.PermissionCollection`
  Parameters:
    `perm` - java.security.Permission the permission to check
  Returns:
    java.util.Enumeration the Permissions as an enumeration

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD